summaryrefslogtreecommitdiffstats
path: root/office/pdfstudio12
diff options
context:
space:
mode:
author Alexander Verbovetsky <alik@ejik.org>2017-06-28 12:40:17 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2017-06-28 12:40:17 +0700
commit8f582248d87fa5c2696179f35d385c46295985e4 (patch)
tree51621d6fe0b9675eb7d8e7f68fdf8339425c3313 /office/pdfstudio12
parentecce64e3ddc0678359a2da5a1f26e5d88c76d244 (diff)
downloadslackbuilds-8f582248d87fa5c2696179f35d385c46295985e4.tar.gz
slackbuilds-8f582248d87fa5c2696179f35d385c46295985e4.tar.xz
office/pdfstudio12: Added (PDF editor).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'office/pdfstudio12')
-rw-r--r--office/pdfstudio12/README40
-rw-r--r--office/pdfstudio12/doinst.sh3
-rw-r--r--office/pdfstudio12/pdfstudio12.SlackBuild97
-rw-r--r--office/pdfstudio12/pdfstudio12.desktop6
-rw-r--r--office/pdfstudio12/pdfstudio12.info14
-rw-r--r--office/pdfstudio12/slack-desc19
6 files changed, 179 insertions, 0 deletions
diff --git a/office/pdfstudio12/README b/office/pdfstudio12/README
new file mode 100644
index 0000000000..44f25b4536
--- /dev/null
+++ b/office/pdfstudio12/README
@@ -0,0 +1,40 @@
+PDF Studio is an all-in-one, easy to use PDF editor that provides all
+PDF features needed at a fraction of the cost of Adobe Acrobat and other
+PDF editors. PDF Studio maintains full compatibility with the PDF
+Standard.
+
+PDF Studio is a commercial Java based program. It is available in
+Standard and Pro editions, and also as a free demo. The demo version
+adds watermarks to all edited PDFs.
+
+Key features of PDF Studio:
+
+ * Create PDFs
+ * Review and annotate PDFs
+ * Fill and save PDF forms
+ * Interactive form field designer
+ * Secure PDFs
+ * Digitally sign PDFs
+ * Combine and rearrange documents
+ * Add watermarks, headers & footers
+ * OCR (text recognition)
+ * Edit PDF content
+ * Redact permanently
+ * Compare PDFs
+ * Optimize PDFs
+ * Batch process multiple PDFs
+ * Precision measuring tools
+ * Preflight and convert to PDF/A
+ * PDF linearization (for fast web view)
+ * Convert to HTML5/SVG
+ * Annotation tool chest
+ * Loupe, pan & zoom, rulers & grids
+ * Advanced imposition
+
+By default PDF Studio uses the system-wide Java.
+
+If you pass OWNJAVA=yes to the SlackBuild script:
+OWNJAVA=yes ./pdfstudio12.SlackBuild
+a version of Java that comes packaged with PDF Studio will be installed
+under the PDF Studio installation directory, this Java will not be used
+by other programs.
diff --git a/office/pdfstudio12/doinst.sh b/office/pdfstudio12/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/office/pdfstudio12/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/office/pdfstudio12/pdfstudio12.SlackBuild b/office/pdfstudio12/pdfstudio12.SlackBuild
new file mode 100644
index 0000000000..e82f412414
--- /dev/null
+++ b/office/pdfstudio12/pdfstudio12.SlackBuild
@@ -0,0 +1,97 @@
+#!/bin/sh
+
+# Slackware build script for pdfstudio12
+
+# Copyright 2017, Alexander Verbovetsky, Moscow, Russia
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=pdfstudio12
+VERSION=${VERSION:-12.0.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+case "$ARCH" in
+ i?86) DEBARCH="" ;;
+ x86_64) DEBARCH=64 ;;
+ *) printf "\n$ARCH is unsupported for the PDF Studio.\n\n"
+ exit 1 ;;
+esac
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $PKG
+ar p $CWD/PDFStudio_v${VERSION//./_}_linux${DEBARCH}.deb data.tar.gz | tar xvz
+mkdir -p usr/bin
+ln -s /opt/pdfstudio12/pdfstudio12 usr/bin/pdfstudio
+mkdir -p usr/share/applications
+cp $CWD/$PRGNAM.desktop usr/share/applications/
+mkdir -p usr/doc/$PRGNAM-$VERSION
+cp $CWD/pdfstudio12_userguide.pdf usr/doc/$PRGNAM-$VERSION/
+
+if [ "${OWNJAVA:-no}" = "yes" ]; then
+ cd opt/pdfstudio12/jre
+ for pack_file in lib/*.jar.pack; do
+ jar_file=`echo "$pack_file" | awk '{ print substr($0,1,length-5) }'`
+ bin/unpack200 -r "$pack_file" "$jar_file"
+ done
+ for pack_file in lib/ext/*.jar.pack; do
+ jar_file=`echo "$pack_file" | awk '{ print substr($0,1,length-5) }'`
+ bin/unpack200 -r "$pack_file" "$jar_file"
+ done
+ bin/java -Xshare:dump &>/dev/null
+ cd $PKG
+else
+ rm -rf opt/pdfstudio12/jre
+fi
+
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+chmod 0755 $PKG
+
+for f in additionalcopyrights.html license.html; do
+ unzip -p opt/pdfstudio12/lib/pdfstudio.jar \
+ resources/$f > usr/doc/$PRGNAM-$VERSION/$f
+done
+cat $CWD/$PRGNAM.SlackBuild > usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p install
+cat $CWD/slack-desc > install/slack-desc
+cat $CWD/doinst.sh > install/doinst.sh
+
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/office/pdfstudio12/pdfstudio12.desktop b/office/pdfstudio12/pdfstudio12.desktop
new file mode 100644
index 0000000000..43da567b3d
--- /dev/null
+++ b/office/pdfstudio12/pdfstudio12.desktop
@@ -0,0 +1,6 @@
+[Desktop Entry]
+Type=Application
+Name=PDF Studio 12
+Exec=/bin/sh "/opt/pdfstudio12/pdfstudio12"
+Icon=/opt/pdfstudio12/.install4j/pdfstudio12.png
+Categories=Office;
diff --git a/office/pdfstudio12/pdfstudio12.info b/office/pdfstudio12/pdfstudio12.info
new file mode 100644
index 0000000000..bf04751654
--- /dev/null
+++ b/office/pdfstudio12/pdfstudio12.info
@@ -0,0 +1,14 @@
+PRGNAM="pdfstudio12"
+VERSION="12.0.0"
+HOMEPAGE="https://www.qoppa.com/pdfstudio/"
+DOWNLOAD="https://download.qoppa.com/pdfstudio/v12/PDFStudio_v12_0_0_linux.deb \
+ http://www.qoppa.com/files/pdfstudio/guide/pdfstudio12_userguide.pdf"
+MD5SUM="42902f68528f2053242079102f8aea59 \
+ a8ac724a34230b99ed4c4578b8b8d2e8"
+DOWNLOAD_x86_64="https://download.qoppa.com/pdfstudio/v12/PDFStudio_v12_0_0_linux64.deb \
+ http://www.qoppa.com/files/pdfstudio/guide/pdfstudio12_userguide.pdf"
+MD5SUM_x86_64="9271adbb56ee5debca11f16532cd7b95 \
+ a8ac724a34230b99ed4c4578b8b8d2e8"
+REQUIRES="jdk"
+MAINTAINER="Alexander Verbovetsky"
+EMAIL="alik@ejik.org"
diff --git a/office/pdfstudio12/slack-desc b/office/pdfstudio12/slack-desc
new file mode 100644
index 0000000000..1759837b40
--- /dev/null
+++ b/office/pdfstudio12/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+pdfstudio12: pdfstudio12 (PDF editor)
+pdfstudio12:
+pdfstudio12: PDF Studio is an all-in-one, easy to use PDF editor that provides all
+pdfstudio12: PDF features needed at a fraction of the cost of Adobe Acrobat and
+pdfstudio12: other PDF editors. PDF Studio maintains full compatibility with the
+pdfstudio12: PDF Standard.
+pdfstudio12:
+pdfstudio12: PDF Studio is a commercial Java based program. It is available in
+pdfstudio12: Standard and Pro editions, and also as a free demo.
+pdfstudio12:
+pdfstudio12: Home page: https://www.qoppa.com/pdfstudio/